---
layout: layouts/base.njk
title: Nathan Upchurch | Colophon
structuredData: none
---

# Colophon
## What I used to build this website
I built this website in plain-old HTML, CSS, and a touch of vanilla JavaScript using [Zach Leatherman](https://www.zachleat.com/)'s [11ty static site generator](https://www.11ty.dev/) and Mozilla's [Nunjucks templating language](https://mozilla.github.io/nunjucks/). I used free and open source variable typefaces [Fraunces](https://fraunces.undercase.xyz/), designed by Phaedra Charles and Flavia Zimbardi[^1], and [Manrope](https://www.gent.media/manrope), designed by Mikhail Sharanda[^2].

The handy calculators on [utopia.fyi](https://utopia.fyi), created by James Gilyead and Trys Mudford, helped me implement fluid typography and spacing, which has allowed me to make this website responsive without using a single media query. The future is upon us.

Icons on the index page navigator section are from the [Breeze icon set](https://develop.kde.org/frameworks/breeze-icons/) made by the fine folks at [KDE](https://kde.org/).

If you'd like to inspect the source for this site, you can [find the repo here](https://upchur.ch/gitea/n_u/nathanupchurch.com).

[^1]: With contributions by Ethan Cohen, and Andy Clymer.
[^2]: With contributions by Mirko Velimirovic.
